org.optaplanner.core.config.exhaustivesearch

## Enum ExhaustiveSearchType

- java.lang.Object
- - java.lang.Enum<ExhaustiveSearchType>
  - - org.optaplanner.core.config.exhaustivesearch.ExhaustiveSearchType

- All Implemented Interfaces:
    Serializable, Comparable<ExhaustiveSearchType>

      public enum ExhaustiveSearchType
      extends Enum<ExhaustiveSearchType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BRANCH_AND_BOUND`
    `BRUTE_FORCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntitySorterManner` | `getDefaultEntitySorterManner()`
    `ValueSorterManner` | `getDefaultValueSorterManner()`
    `boolean` | `isScoreBounderEnabled()`
    `static ExhaustiveSearchType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExhaustiveSearchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BRUTE_FORCE

          public static final ExhaustiveSearchType BRUTE_FORCE

    - #### BRANCH_AND_BOUND

          public static final ExhaustiveSearchType BRANCH_AND_BOUND

  - ### Method Detail

    - #### values

          public static ExhaustiveSearchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExhaustiveSearchType c : ExhaustiveSearchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExhaustiveSearchType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefaultEntitySorterManner

          public EntitySorterManner getDefaultEntitySorterManner()

    - #### getDefaultValueSorterManner

          public ValueSorterManner getDefaultValueSorterManner()

    - #### isScoreBounderEnabled

          public boolean isScoreBounderEnabled()

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.